#ifndef DBENUMCOMBOBOX_H_INCLUDED
#define DBENUMCOMBOBOX_H_INCLUDED

#include <Wt/WComboBox>
#include <boost/thread/mutex.hpp>
#include "MySqlCon.h"

namespace Wt
{
    class WComboBox;
    class WContainerWidget;
};

using namespace Wt;

class DBEnumComboBox: public WComboBox
{
public:
    DBEnumComboBox(const std::string& strTableName, WContainerWidget *parent = 0);
    int currentNameId();
    int nameId(int index);
    int nameId(const std::string& name);
    void refresh();
private:
    static std::string tableName;
    static bool bInitialized;
    static boost::mutex mutex;
    static MySqlCon::StringIntMap nameIdMap;
    void Initialize(const std::string& strTableName);
};


#endif // DBENUMCOMBOBOX_H_INCLUDED
