#include <Wt/WPushButton>
#include "FileTreeView.h"

using namespace Wt;

class TreeViewApplication: public WApplication
{
public:
    TreeViewApplication(const WEnvironment &env):
            WApplication(env)
    {
        WPushButton* checkButton = new WPushButton("check");
        root()->addWidget(checkButton);
        view = new FileTreeView("/home/nick/myprojects/libdvd", root());
        checkButton->clicked().connect(this, &TreeViewApplication::checked);
    }
private:
    FileTreeView* view;
    void checked()
    {
        std::string path;
        if (view->getCheckedFile(path))
        {
            setTitle(path);
        }
    }


};

WApplication *createApplication(const WEnvironment& env)
{
    WApplication *app = new TreeViewApplication(env);
    app->setTitle("WTreeView example");
    app->messageResourceBundle().use(WApplication::appRoot() + "drinks");
    app->styleSheet().addRule("button", "margin: 2px");
    //app->useStyleSheet("everywidget.css");
    app->useStyleSheet("icons/wt.css");
    //app->useStyleSheet("combostyle.css");
    //app->useStyleSheet("dragdrop.css");

    return app;
}

int main(int argc, char **argv)
{
    return WRun(argc, argv, &createApplication);
}
